<template>
  <div data-name="template-container">

    <!-- Modal -->
    <div class="modal fade" id="modalFor_Picker" tabindex="-1" role="dialog" aria-labelledby="modelFor_Picker" aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title"><i class="fas fa-utensils"></i> Pick a meal</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <div class="card">
              <div class="card-body">
                <ul class="list-group list-group-flush">
                  <li class="list-group-item"
                    v-for="(item, index) in meals" :key="item.mealId+'_'+index">
                    <button type="button" data-rol="mealbutton" :data-mealId="item.mealId"
                      class="btn btn-outline-dark btn-block" 
                      v-on:click="_handleSelectItemClick(item, $event)">
                      {{item.desc}}
                    </button>
                  </li>
                </ul>
              </div>
            </div>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
          </div>
        </div>
      </div>
    </div>

  </div>
</template>

<script src="./pickerFor-meal-bid.js"></script>
<style src="./pickerFor-meal-bid.css" scoped="scoped"></style>